libstdc++: std::lognormal_distribution< _RealType >::param_type Struct Reference

libstdc++

std::lognormal_distribution< _RealType >::param_type Struct Reference

`#include <random.h>`

## Public Types
typedef lognormal_distribution< _RealType > | distribution_type

## Public Member Functions
| param_type (_RealType __m, _RealType __s=_RealType(1))
_RealType | m () const
_RealType | s () const

## Friends
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

template<typename _RealType = double>
struct std::lognormal_distribution< _RealType >::param_type

Parameter type.

Definition at line 2966 of file random.h.

## Member Typedef Documentation

## ◆ distribution_type

template<typename _RealType = double>

typedef lognormal_distribution<_RealType> std::lognormal_distribution< _RealType >::param_type::distribution_type

Definition at line 2968 of file random.h.

## Constructor & Destructor Documentation

## ◆ param_type() [1/2]

template<typename _RealType = double>

std::lognormal_distribution< _RealType >::param_type::param_type | ( |  | ) |
| inline

Definition at line 2970 of file random.h.

## ◆ param_type() [2/2]

template<typename _RealType = double>

std::lognormal_distribution< _RealType >::param_type::param_type | ( | _RealType | __m,
|  | _RealType | __s = _RealType(1) )
| inlineexplicit

Definition at line 2973 of file random.h.

## Member Function Documentation

## ◆ m()

template<typename _RealType = double>

_RealType std::lognormal_distribution< _RealType >::param_type::m | ( |  | ) | const
| inline

Definition at line 2978 of file random.h.

## ◆ s()

template<typename _RealType = double>

_RealType std::lognormal_distribution< _RealType >::param_type::s | ( |  | ) | const
| inline

Definition at line 2982 of file random.h.

## Friends And Related Symbol Documentation

## ◆ operator==

template<typename _RealType = double>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2 )
| friend

Definition at line 2986 of file random.h.

The documentation for this struct was generated from the following file:

- random.h